# $Revision: 1.114.2.7 $, $Date: 2007/02/18 11:02:31 $
#
# Conditional build:
%bcond_without	ada	# don't build with ada
#
%define		_state		stable
%define		_kdever		3.5.6
%define		_minbaseevr	9:%{_kdever}
%define		_minkdesdkevr	3:%{_kdever}

Summary:	KDE Integrated Development Environment
Summary(de):	KDevelop ist eine grafische Entwicklungsumgebung fr KDE
Summary(pl):	Zintegrowane rodowisko programisty dla KDE
Summary(pt_BR):	Ambiente Integrado de Desenvolvimento para o KDE
Summary(zh_CN):	KDE C/C++ɿ
Name:		kdevelop
Version:	3.4.0
Release:	3
Epoch:		7
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{name}-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	9cf367c89329acf23738e23c0b663ee9
Patch0:		kde-common-PLD.patch
Patch1:		%{name}-am.patch
Patch2:		kde-ac260-lt.patch
Patch3:		%{name}-qmake_parser.patch
URL:		http://www.kdevelop.org/
# disabled, breaks with this new antlr
# BuildRequires:	antlr >= 2.7.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	doxygen
BuildRequires:	flex
%{?with_ada:BuildRequires:gcc-ada}
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel >= %{_minbaseevr}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	subversion-devel >= 1.2.0-4
BuildRequires:	zlib-devel
BuildConflicts:	star
Requires:	kdebase-core >= %{_minbaseevr}
Requires:	kdesdk-libcvsservice >= %{_minkdesdkevr}
Requires:	kdoc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to
programs like gdb, the C/C++ compiler, and make.

KDevelop manages or provides: all development tools needed for C++
programming like Compiler, Linker, automake and autoconf; KAppWizard,
which generates complete, ready-to-go sample applications;
Classgenerator, for creating new classes and integrating them into the
current project; File management for sources, headers, documentation
etc. to be included in the project; The creation of User-Handbooks
written with SGML and the automatic generation of HTML-output with the
KDE look and feel; Automatic HTML-based API-documentation for your
project's classes with cross-references to the used libraries;
Internationalization support for your application, allowing
translators to easily add their target language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%description -l de
KDevelop ist eine grafische Entwicklungsumgebung fr KDE.

Das KDevelop-Projekt wurde 1998 begonnen, um eine einfach zu
bedienende grafische (integrierte Entwicklungsumgebung) fr C++ und C
auf Unix-basierten Betriebssystemen bereitzustellen. Seit damals ist
die KDevelop-IDE ffentlich unter der GPL erhltlich und untersttzt
u. a. Qt-, KDE-, GNOME-, C++- und C-Projekte.

%description -l pl
KDevelop to zintegrowane rodowisko programistyczne dla KDE, dajce
wiele moliwoci przydatnych programistom oraz zunifikowany interfejs
do programw typu gdb, kompilator C/C++ oraz make.

KDevelop obsuguje lub zawiera: wszystkie narzdzia programistyczne
potrzebne do programowania w C++ jak kompilator, linker, automake,
autoconf; KAppWizard, generujcy kompletne, gotowe do uruchomienia,
proste aplikacje; Classgenerator do tworzenia nowych klas i wczania
ich do projektu; zarzdzanie plikami rdowymi, nagwkowymi,
dokumentacj itp.; tworzenie podrcznikw uytkownika pisanych w SGML
i automatyczne generowanie wyjcia HTML pasujcego do KDE;
automatyczne tworzenie dokumentacji API w HTML do klas projektu z
odniesieniami do uywanych bibliotek; wsparcie dla
internacjonalizacji, pozwalajce tumaczom atwo dodawa pliki z
tumaczeniami do projektu.

KDevelop ma take tworzenie interfejsw uytkownika przy uyciu
edytora dialogw WYSIWYG; odpluskwianie aplikacji poprzez integracj z
KDbg; edycj ikon przy pomocy KIconEdit; doczanie innych programw
potrzebnych do programowania przez dodanie ich do menu Tools wedug
wasnych potrzeb.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__sed} -i -e 's/Terminal=0/Terminal=false/' \
	-e 's/\(^Categories=.*$\)/\1;/' \
	kdevelop.desktop

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs
%configure \
	--disable-rpath \
	--with-qt-libraries=%{_libdir} \
	%{!?with_ada:--disable-ada} \
	--disable-final \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with-apr-config=%{_bindir}/apr-1-config \
	--with-apu-config=%{_bindir}/apu-1-config \
	--with-svn-include=%{_includedir}/subversion \
	--with-svn-lib=%{_libdir} \
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full}

# disabled, breaks with new antlr
# %{?with_ada:%{__make} -C languages/ada genparser}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_libs_htmldir=%{_kdedocdir} \
	kde_htmldir=%{_kdedocdir}

%find_lang %{name} --with-kde --all-name

cd $RPM_BUILD_ROOT%{_iconsdir}
mv {lo,hi}color/16x16/actions/kdevelop_tip.png
mv {lo,hi}color/32x32/actions/kdevelop_tip.png

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_libdir}/*.la
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.so.*.*.*
%{_libdir}/kde3/*.la
%attr(755,root,root) %{_libdir}/kde3/*.so*
%{_libdir}/kconf_update_bin/kdev-gen-settings-kconf_update
%{_datadir}/apps/*
%{_datadir}/config/*
%{_datadir}/desktop-directories/kde-development-kdevelop.directory
%{_datadir}/mimelnk/application/x-kdevelop.desktop
%{_datadir}/mimelnk/text/x-fortran.desktop
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_desktopdir}/kde/*
%{_iconsdir}/hicolor/*/*/*
%{_includedir}/kdevelop
%{_includedir}/kinterfacedesigner

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdevelop.spec,v $
Revision 1.114.2.7  2007/02/18 11:02:31  glen
- 3.4.0

Revision 1.114.2.6  2007/01/28 22:12:56  glen
- rel 1

Revision 1.114.2.5  2007/01/19 15:43:54  glen
- 3.3.6 (KDE 3.5.6)

Revision 1.114.2.4  2006/11/03 11:06:56  glen
- rel 1

Revision 1.114.2.3  2006/10/15 20:43:05  glen
- 3.3.5 (KDE 3.5.5)

Revision 1.114.2.2  2006/10/05 21:48:43  glen
- don't own /usr/share/apps/kconf_update directory

Revision 1.114.2.1  2006/08/08 12:42:18  glen
- update to 3.3.4 (KDE 3.5.4)

Revision 1.114  2006/05/26 07:56:39  arekm
- up to 3.3.3

Revision 1.113  2006/04/04 07:29:34  charles
- BR: rpm-pythonprov

Revision 1.112  2006/04/01 17:00:41  glen
- unify macros

Revision 1.111  2006/03/30 16:08:05  glen
- 3.3.2 (from KDE 3.5.2)

Revision 1.110  2006/01/25 16:35:10  pluto
- disable all-in-one compilation.

Revision 1.109  2006/01/22 22:27:57  ankry
- sorted

Revision 1.108  2006/01/22 22:16:10  arekm
- updated to 3.3.1

Revision 1.107  2005/11/25 12:52:56  arekm
- rel 1

Revision 1.106  2005/11/18 15:31:47  glen
- package kconf update script

Revision 1.105  2005/11/16 19:52:24  arekm
- up to 3.3.0

Revision 1.104  2005/10/10 11:18:11  arekm
- rel 1

Revision 1.103  2005/10/08 09:52:53  arekm
- up to 3.4.3

Revision 1.102  2005/08/26 16:34:36  twittner
- added `BuildConflicts: star'. gnutar (which belongs to star pkg) breaks
  builds:
   gnutar -cf gnu.tar -C ./gnu AUTHORS  COPYING \
   ChangeLog  INSTALL  NEWS  README  TODO
   No such file or directory. Cannot stat 'ChangeLog'.
   gnutar: No such file or directory. Cannot stat 'INSTALL'.
   [...]
   with gtar (tar pkg) everything goes OK.

Revision 1.101  2005/07/28 18:45:06  arekm
- rel 1

Revision 1.100  2005/07/22 06:01:51  arekm
- up to 3.2.2

Revision 1.99  2005/07/03 16:39:17  arekm
- rel 2; subversion support fixed

Revision 1.98  2005/06/01 06:09:08  arekm
- rel 1

Revision 1.97  2005/05/26 12:58:57  arekm
- up to 3.2.1

Revision 1.96  2005/04/29 16:04:08  arekm
- rel 2

Revision 1.95  2005/04/29 07:20:03  arekm
- other alpha test

Revision 1.94  2005/04/28 22:06:55  arekm
- try without rebuilding antlr related files

Revision 1.93  2005/04/26 21:37:27  arekm
- antlr segfaults on alpha, try a workaround

Revision 1.92  2005/04/18 08:18:25  charles
- updated to 3.2.0
- BR: doxygen
- cleanups, sorted BRs and %files

Revision 1.91  2005/03/23 11:35:24  spider
- added german description

Revision 1.90  2005/01/17 01:20:39  charles
- updated to 3.1.2
- removed Source0-size
- added %find_lang and %files fix

Revision 1.89  2004/12/25 17:55:31  qboosh
- cleanups

Revision 1.88  2004/11/01 14:47:01  djurban
- rebuild for the sport of it rel. 2

Revision 1.87  2004/10/31 19:07:49  djurban
- rel. 1 for ac, stbring

Revision 1.86  2004/10/31 09:35:11  qboosh
- more universal libsuffix (to catch ppc64/sparc64/s390x too)

Revision 1.85  2004/10/30 22:38:20  djurban
- fix what might cause kde not to work on amd64 (reported by undefine)
  PLEASE add it to all KDE specs

Revision 1.84  2004/10/30 22:34:22  djurban
- svn support enabled by default

Revision 1.83  2004/10/30 21:55:17  djurban
- more work being done

Revision 1.82  2004/10/03 10:12:54  adgor
- Typo

Revision 1.81  2004/09/21 02:45:34  ankry
- merged from AC-branch

Revision 1.80  2004/09/20 05:57:33  ankry
- desktop fix

Revision 1.79  2004/09/09 18:16:06  pluto
- %setup fixed.

Revision 1.78  2004/08/19 22:23:13  qboosh
- removed duplicated BR and cp
- don't leave invalid entries in files - they MUST be fixed

Revision 1.77  2004/08/18 11:24:20  djurban
- merged devel, updated to 3.1.0, clear changelog, includes violation
  of FHS, will check if fixable.
